Bug 1296923 - [RFE] Pagination support in the list of instances
[RFE] Pagination support in the list of instances
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
7.0 (Kilo)
All All
medium Severity low
: ---
: ---
Assigned To: Radomir Dopieralski
Ido Ovadia
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 07:56 EST by Martin Vecera
Modified: 2017-09-29 22:07 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 289314 None None None 2016-04-25 06:57 EDT

  None (edit)
Description Martin Vecera 2016-01-08 07:56:15 EST
In the list of instances in web UI, there are no pagination links when there is more than a single page. 

See https://control.os1.phx2.redhat.com/dashboard/project/instances/ for example. I know this is os ver. 6, but up to my current knowledge, this has not been implemented yet in ver. 7.
Comment 2 Matthias Runge 2016-01-08 08:54:50 EST
Any justification for urgent?

New features are being implemented in new OpenStack versions. There is still work missing in Liberty release.
I can confirm, that's not implemented in Mitaka as well. (for instances)
Comment 4 Martin Vecera 2016-04-04 08:27:22 EDT
Hello, I set it to urgent as the internal instance we use in QE has more than 800 internal users suffering from this drawback (see https://people.engineering.redhat.com/employee/dmacdona/). So this could have a huge impact on our productivity.
Comment 5 Itxaka 2016-04-25 06:57:34 EDT
There is half pagination on master rigth now (only forward pagination) and the attached upstream patch provides the full functionality.


This should be a RFE thought, not a bug.

Note You need to log in before you can comment on or make changes to this bug.